DRM_MODE_CRTC_SET_GA(9)

NAME
drm_mode_crtc_set_gamma_size - set the gamma table size

SYNOPSIS

int drm_mode_crtc_set_gamma_size(struct drm_crtc * crtc, int gamma_size);

ARGUMENTS

crtc
    CRTC to set the gamma table size for

gamma_size
    size of the gamma table

DESCRIPTION

Drivers which support gamma tables should set this to the supported gamma table size when initializing the CRTC. Currently the drm core only supports a fixed gamma table size.

RETURNS

Zero on success, negative errno on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT